<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__syspm__skip__callback__modes" kind="group">
    <compoundname>group_syspm_skip_callback_modes</compoundname>
    <title>Defines to skip the callbacks modes</title>
      <sectiondef kind="define">
      <memberdef id="group__group__syspm__skip__callback__modes_1ga7080a9d98d07b0f7b44eda4899c1d26f" kind="define" prot="public" static="no">
        <name>CY_SYSPM_SKIP_CHECK_READY</name>
        <initializer>(0x01U)</initializer>
        <briefdescription>
<para>Define to skip check ready mode in the syspm callback. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1721" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1721" />
      </memberdef>
      <memberdef id="group__group__syspm__skip__callback__modes_1gac7d1c97ade02b87e789c76b6a58f8c0f" kind="define" prot="public" static="no">
        <name>CY_SYSPM_SKIP_CHECK_FAIL</name>
        <initializer>(0x02U)</initializer>
        <briefdescription>
<para>Define to skip check fail mode in the syspm callback. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1722" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1722" />
      </memberdef>
      <memberdef id="group__group__syspm__skip__callback__modes_1ga77a2dc7326bb7e6cf893dc7b258b3a42" kind="define" prot="public" static="no">
        <name>CY_SYSPM_SKIP_BEFORE_TRANSITION</name>
        <initializer>(0x04U)</initializer>
        <briefdescription>
<para>Define to skip before transition mode in the syspm callback. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1723" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1723" />
      </memberdef>
      <memberdef id="group__group__syspm__skip__callback__modes_1gadf838d7b7d5da099b8d284a2cd0185db" kind="define" prot="public" static="no">
        <name>CY_SYSPM_SKIP_AFTER_TRANSITION</name>
        <initializer>(0x08U)</initializer>
        <briefdescription>
<para>Define to skip after transition mode in the syspm callback. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1724" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1724" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Defines for the SysPm callbacks modes that can be skipped during execution. </para>    </briefdescription>
    <detaileddescription>
<para>For more information about callbacks modes, refer to <ref kindref="member" refid="group__group__syspm__data__enumerates_1gae06cd8869fe61d709ad6145ca9f3cd63">cy_en_syspm_callback_mode_t</ref>. </para>    </detaileddescription>
  </compounddef>
</doxygen>